FROM node:10-alpine
# Create app directory
WORKDIR /usr/src/app
COPY ./TMP/package*.json ./
RUN apk add --no-cache --virtual .gyp python make g++ \
    && yarn install \
    && apk del .gyp
RUN apk update \
    && apk add sqlite \
    && apk add socat
COPY ./TMP/. .
EXPOSE 8000
CMD [ "node", "server.js" ]
